Bug 1102022 (CVE-2014-3467) - CVE-2014-3467 libtasn1: multiple boundary check issues
Summary: CVE-2014-3467 libtasn1: multiple boundary check issues
Status: CLOSED ERRATA
Alias: CVE-2014-3467
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140525,repor...
Keywords: Security
Depends On: 1102336 1102337 1102338 1102339 1102355 1102356 1103087 1103088 1103089
Blocks: 1101736
TreeView+ depends on / blocked
 
Reported: 2014-05-28 11:07 UTC by Tomas Hoger
Modified: 2019-06-08 20:03 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-10 12:45:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0594 normal SHIPPED_LIVE Important: gnutls security update 2014-06-03 20:06:30 UTC
Red Hat Product Errata RHSA-2014:0596 normal SHIPPED_LIVE Moderate: libtasn1 security update 2014-06-03 20:06:08 UTC
Red Hat Product Errata RHSA-2014:0687 normal SHIPPED_LIVE Moderate: libtasn1 security update 2014-06-10 16:34:16 UTC
Red Hat Product Errata RHSA-2014:0815 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-06-30 21:28:41 UTC

Comment 3 Tomas Hoger 2014-05-29 11:41:38 UTC
Acknowledgment:

Red Hat would like to thank GnuTLS upstream for reporting this issue.

Comment 4 Tomas Hoger 2014-05-30 08:18:09 UTC
Fixed upstream in libtasn1 3.6:
http://lists.gnu.org/archive/html/help-libtasn1/2014-05/msg00006.html

Comment 5 Tomas Hoger 2014-05-30 08:25:33 UTC
Created libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1103087]

Comment 6 Tomas Hoger 2014-05-30 08:25:36 UTC
Created mingw-libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1103088]

Comment 7 Tomas Hoger 2014-05-30 08:25:38 UTC
Created mingw32-gnutls tracking bugs for this issue:

Affects: epel-5 [bug 1103089]

Comment 8 errata-xmlrpc 2014-06-03 16:06:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0596 https://rhn.redhat.com/errata/RHSA-2014-0596.html

Comment 9 errata-xmlrpc 2014-06-03 16:10:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0594 https://rhn.redhat.com/errata/RHSA-2014-0594.html

Comment 10 Fedora Update System 2014-06-04 07:52:06 UTC
libtasn1-3.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-06-10 03:06:11 UTC
libtasn1-3.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2014-06-10 12:35:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0687 https://rhn.redhat.com/errata/RHSA-2014-0687.html

Comment 13 errata-xmlrpc 2014-06-30 17:29:13 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0815 https://rhn.redhat.com/errata/RHSA-2014-0815.html


Note You need to log in before you can comment on or make changes to this bug.